Subject: Programmer Bits

From: David Bofinger <[email-masked]>
Date: Thu, 30 Apr 1992 09:28:47 -0700

>On the GodNet, we originally removed the concept of players having programmer
>bits (aka Lambda) precisely because we didn't want people coming in, making
>buggy junk, and leaving us with a handful of worthless objects and a bloated
>database.

I hope everyone here realises there's a distinction between quota and
programmer bits. The best way to spam your database with worthless objects is
to give everyone quota and nobody programmer bits. I fully agree quota needs to
be restricted somehow, but that's a totally separate question from restricting
programmer bits.

>However, as our opinions mellowed, it became somewhat clear that a good reward
>for players would be having a builder level, where the player gets a programming
>bit.  This would not use the $prog, but rather, just allow the builder player
>to build and program a small collection of objects.  They still would not get
>"magical" abilties like being able to teleport or see and get things from
>afar.

Problem: those "magic" programs don't rely on any special privileges to write.
As MOO stands if you can program you can basically do those things unless the
owner of the room/thing objects. I suppose you could give the crime of
"creating a .free_entry room" the death sentence, that might work.

>Definitely a strongly themed mud/moo, and we have no
>sympathy or empathy for players who can't live within that theme.

One thing that would help, IMNPHO, is an automated theme-enforcer. Something
that kills areas (after several warnings) if an official hasn't OKed them
within <whatever> weeks after {they are built | the quota is allocated}. Takes
the pressure off the architecture review board. Perhaps each object could be
associated with a project, and a project's right to exist expires after a
certain time without approval.

It would also be a help if the quota system could more accurately represent
bloat-load, but again that's a server problem.

------------------------------------------------------------------------------
David Bofinger	AARNet:	[email-masked]
                Snail:	Dept. of Theoretical Physics, RSPhysSE, ANU, ACT, 2601
		MOO:	Maybe G7 again sometime.
------------------------------------------------------------------------------
"To our friends, the good guys. And to our enemies, the bad guys. And to the
hope that someday we will be able to tell the difference." - Keith Laumer